Bug 1083941 - Review Request: giac - Computer Algebra System
Review Request: giac - Computer Algebra System
Status: CLOSED DUPLICATE of bug 1335988
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-04-03 05:30 EDT by Han Frederic
Modified: 2016-05-13 14:22 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-13 14:20:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
giac.spec (8.44 KB, text/x-rpm-spec)
2014-04-07 16:24 EDT, Antonio Trande
no flags Details

  None (edit)
Description Han Frederic 2014-04-03 05:30:09 EDT
Spec URL: http://www.math.jussieu.fr/~han/fedora/SPECS/giac.spec
SRPM URL: http://www.math.jussieu.fr/~han/fedora/SRPMS/giac-1.1.0-1.src.rpm
Description: Giac is a Computer Algebra System made by Bernard Parisse.
It  provides features from the C/C++ libraries PARI, NTL (arithmetic), GSL (numerics), GMP (big integers), MPFR (bigfloats), and
  - Efficient algorithms for multivariate polynomial operations 
        (product, GCD, factorization, groebner bases),
  - Symbolic computations: solver, simplifications, limits/series, integration
  - Linear Algebra with numerical or symbolic coefficients.
  - Partial Maple and TI compatibility.

it consists of:
   - a C++ library (libgiac)
   - a command line interpreter (icas)
   - an FLTK-based GUI (xcas) with interactive geometry and formal spreadsheets.

Fedora Account System Username: frederichan

rpmlint output: http://www.math.jussieu.fr/~han/fedora/rpmlint-giac.txt
(on 3.11.10-301.fc20.x86_64 #1 SMP Thu Dec 5 14:01:17 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux)
Comment 1 Antonio Trande 2014-04-03 08:51:26 EDT
Hi Han.

Just some initial comments.

1. Please, use %{?dist} tag in Release.
   http://fedoraproject.org/wiki/Packaging:NamingGuidelines#Release_Tag

2. Vendor is no necessary
3. You don't need to include gcc-c++ as BR 
   http://fedoraproject.org/wiki/Packaging:Guidelines#Exceptions_2

4. List the BR (BuildRequires) packages in multi-lines
   Too long lines are no good.
5. %configure goes under %build section
6. Put %post/%postun sections before %files
   See https://fedoraproject.org/wiki/How_to_create_an_RPM_package#SPEC_file_overview

7. You don't need to use rm, make, chmod, mkdir, cp, sed commands as macro.

8. Libtool archives (*.la files) must NOT be packaged
   http://fedoraproject.org/wiki/Packaging:Guidelines#Packaging_Static_Libraries

9. Leave a comment when you perform extra commands (like 'chmod ...' or 'rm ...'), in order to clarify your work to the reviewer.
Comment 2 Han Frederic 2014-04-04 05:01:45 EDT
Dear Trande,
thanks a lot for your helpfull comments. So I have done a new spec.

Spec URL: http://www.math.jussieu.fr/~han/fedora/SPECS/giac.spec
SRPM URL: http://www.math.jussieu.fr/~han/fedora/SRPMS/giac-1.1.0-1.fc20.src.rpm
rpmlint output: http://www.math.jussieu.fr/~han/fedora/rpmlint-giac.txt

Best regards

Frederic
Comment 3 Antonio Trande 2014-04-04 09:44:02 EDT
Okay, we can go on.

1. 'rm -rf $RPM_BUILD_ROOT' 
   '%clean' section 
    all file permission settings (%defattr..)

are not necessary anymore.
See http://fedoraproject.org/wiki/Packaging:Guidelines#File_Permissions
    http://fedoraproject.org/wiki/Packaging:Guidelines#.25clean

2. No mix $RPM_BUILD_ROOT and %{buildroot}; use just one of them.

3. rm -rf `find %{buildroot}%{_datadir}/giac -empty`
   rm -rf `find %{buildroot}%{_datadir}/giac -name *~`
   rm -rf `find %{buildroot}%{_datadir}/doc/giac -empty`
   rm -rf `find %{buildroot}%{_datadir}/doc/giac -name *~`

A 'find %{buildroot} -size 0 -delete' should be sufficient

4. Please, make %{_bindir}/* more explicit.

5. %doc doesn't list any License file.

6. %doc %{_datadir}/doc/giac
   %doc %{_datadir}/giac/doc
   %doc %{_datadir}/giac/examples

If a documentation exists (English is better), you can package it in a '-doc' sub-package.
http://fedoraproject.org/wiki/Packaging:Guidelines#Documentation

7. %package devel
   Summary: Development files for libgiac
   Requires: %{name} = %{version}-%{release}

Use %{name}%{?_isa} = %{version}-%{release} because your package is architecture dependent.

8. You can perform a 'make check' in a %check section. Read INSTALL file in the source archive.

9. 'configure' considers an active --enable-lapack option by default. Lapack is not among BR packages.

10. Package build fails in rawhide with

> cc1plus: some warnings being treated as errors

Please, check it.
Comment 4 Han Frederic 2014-04-07 09:06:10 EDT
Thanks again for your help,
I have put updated versions here:
Spec URL: http://www.math.jussieu.fr/~han/fedora/SPECS/giac.spec
SRPM URL: http://www.math.jussieu.fr/~han/fedora/SRPMS/giac-1.1.0-1.src.rpm

For 4. I put comments in  giac.spec. (did you want them in the description field?)

For 5. The licence info was in the README so I put a link, but some parts were old and I asked for a refresh. So I patch the README with the giac-1.1.1 README.

For 6. The english html doc is good. (about 1700 files and 12Mo) but the french one was 6 times more.
I'am trying to provide some minimal man pages, is there some fedora script that I should use to install man pages?

For 8. This make check won't work for an automatic build, the outputs are too old.

For 9. I have done a patch to allow -Werror=format-security and reported it.

Best regards
Frederic
Comment 5 Antonio Trande 2014-04-07 16:24:42 EDT
Created attachment 883764 [details]
giac.spec
Comment 6 Antonio Trande 2014-04-07 16:25:36 EDT
(In reply to Han Frederic from comment #4)

1. -------------------------------------------------------------------
> For 4. I put comments in  giac.spec. (did you want them in the description
> field?)

No. Here, with "explicit", I meant putting all executables under '%files' section:

%{_bindir}/icas
%{_bindir}/giac
%{_bindir}/xcas
%{_bindir}/pgiac

Rather, you may split in more sub-packages further.
See file that I attached.

2. ------------------------------------------------------
> 
> For 5. The licence info was in the README so I put a link, but some parts
> were old and I asked for a refresh. So I patch the README with the
> giac-1.1.1 README.

I think it's no so simple.
We need complete license files. See http://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License_Text
Talk about with upstream.

Quoting README file:

>The giac library and the xcas program are released under the GPL license,
>version 3 or above, as published by the Free Software Foundation,
>...
>The on-line help is included in xcas and giac/cas. The resposible
>file is doc/aide_cas. It is released under the GPL version 2 or above
>and is copyrighted by R. de Graeve, B. Parisse and M. Lopez de la Fuente.

Both these licenses are compatible. Main package must to have 'GPLv3+' License tag; -doc subpackage the 'GPLv2+" instead.

There is also documentation no compiled. See INSTALL file.

3. -----------------------------------------------------
Files above are needed at runtime and the directories which contain them are owned by -doc sub-package; -doc subpackage requires main package. That's fine.
Both packages could also co-own those directories which contain the files needed at runtime (see http://fedoraproject.org/wiki/Packaging:Guidelines#The_directory_is_owned_by_a_package_which_is_not_required_for_your_package_to_function)
but, since GUI will use all documentation files if called  by its Help menu, 'giac-doc' sub-package must requires 'giac' (like so happens for 'giac-devel').
In fine, giac/doc/ directory is entirely owned by 'giac-doc' that *must* be installed together with 'giac'. 

See file attached.

4. -----------------------------------------------------

> 
> For 6. The english html doc is good. (about 1700 files and 12Mo) but the
> french one was 6 times more.
> I'am trying to provide some minimal man pages, is there some fedora script
> that I should use to install man pages?

Not one in particular.
As you see, I've just installed them then build system will "gzip" manpage files. 

5. -----------------------------------------------------
> 
> For 8. This make check won't work for an automatic build, the outputs are
> too old.
> 

And in newest release?

6. ----------------------------------------------------

Please, update %Changelog section when change the SPEC file.
Comment 7 Han Frederic 2014-04-11 02:22:21 EDT
Dear antonio,
. I have managed to adapt the 1.1.1 make check running from the spec.

But before submitting a new spec I have some questions.

. I found GPLv3 and GPLv2 files in the original 1.1.0 source archive, so I can put them where we want to. But GPLv2 was baddly located in the original 1.1.0 source so I asked upstream for some clean up about License (code vs non fr doc). 
As a consequence all the GPLv2+ files in the doc were raised in 1.1.1 to GPLv3+. So do you think we can release the non fr DOC under GPLV3+ with the 1.1.0 package?

(In term of binaries, 1.1.1 is recent and evolving while 1.1.0 is fixed, that's why I worked on the 1.1.0 packaging.)

best

F.H
Comment 8 Antonio Trande 2014-04-11 09:59:33 EDT
(In reply to Han Frederic from comment #7)
> As a consequence all the GPLv2+ files in the doc were raised in 1.1.1 to
> GPLv3+. So do you think we can release the non fr DOC under GPLV3+ with the
> 1.1.0 package?
> 

Are you sure?

README in giac-1.1.1 says:

>* Documentation:
>  The on-line help is included in xcas and giac/cas. The resposible
>file is doc/aide_cas. It is released under the GPL version 2 or above
>and is copyrighted by R. de Graeve, B. Parisse and M. Lopez de la Fuente.
>  There is currently no English complete documentation. A tutorial
>is available in French and English, released under the GPL version 2,
>copyrighted by B. Parisse. A few information are also available in the
>files giac_us.texinfo and giac_es.texinfo, both files are released under
>the GPL version 2 or above and are (c) B. Parisse or M. Lopez de la Fuente.
>  The French documentation is *not* released under the GPL. It is (c)
>by Renee de Graeve. It can be freely distributed for non commercial purpose.
>Other kind of redistributions require the consent of the copyright holder.
Comment 9 Han Frederic 2014-04-11 10:30:59 EDT
Yes, see Parisse's answer to my post:
http://xcas.e.ujf-grenoble.fr/XCAS/viewtopic.php?f=5&t=1458

The problem is that 1.1.1 is frequently moving, that's why I had considered the 
1.1.0 packaging.

since 2 days the readme of:
http://www-fourier.ujf-grenoble.fr/~parisse/giac/giac-1.1.1.tar.gz

have:
...
* Documentation:
  The on-line help is included in Xcas and giac/icas. The resposible
file is doc/aide_cas. It is released under the GPL version 3 or above
and is copyrighted by R. de Graeve, B. Parisse (English/French), M. Lopez de la Fuente
and X. Vidaux (Spanish), and A. Akritas (Greek).
  The English documentation is currently incomplete (help welcome!). A tutorial
is available in English, released under the FDL,
copyrighted by B. Parisse. A few information are also available in the
files giac_us.texinfo and giac_es.texinfo, both files are released under
the GPL version 3 or above and are (c) B. Parisse or M. Lopez de la Fuente.
  The French documentation is *not* released under the GPL. It is (c)
by Renee de Graeve. It can be freely distributed for non commercial purpose.
Other kind of redistributions require the consent of the copyright holder.


...
Comment 10 Antonio Trande 2014-04-11 12:12:58 EDT
>As a consequence all the GPLv2+ files in the doc were raised in 1.1.1 to >GPLv3+. So do you think we can release the non fr DOC under GPLV3+ with the >1.1.0 package?

Okay so; leave a comment to your https://bugzilla.redhat.com/show_bug.cgi?id=1083941#c7
Comment 11 Han Frederic 2014-04-12 02:15:19 EDT
(In reply to Han Frederic from comment #7)
> Dear antonio,
> . I have managed to adapt the 1.1.1 make check running from the spec.
> 
> But before submitting a new spec I have some questions.
> 
> . I found GPLv3 and GPLv2 files in the original 1.1.0 source archive, so I
> can put them where we want to. But GPLv2 was baddly located in the original
> 1.1.0 source so I asked upstream for some clean up about License (code vs
> non fr doc). 
> As a consequence all the GPLv2+ files in the doc were raised in 1.1.1 to
> GPLv3+. So do you think we can release the non fr DOC under GPLV3+ with the
> 1.1.0 package?
> 
> (In term of binaries, 1.1.1 is recent and evolving while 1.1.0 is fixed,
> that's why I worked on the 1.1.0 packaging.)
> 
> best
> 
> F.H

Add some comments (and links):
B.Parisse's answer (in french) to my post that he had raised all the GPLv2+ doc to GPLv3+ to have a homogeneous situation:
http://xcas.e.ujf-grenoble.fr/XCAS/viewtopic.php?f=5&t=1458
this modification was effective since the 9 Apr 2014 in the README of:
http://www-fourier.ujf-grenoble.fr/~parisse/giac/giac-1.1.1.tar.gz
Comment 12 Antonio Trande 2014-04-12 11:50:20 EDT
(In reply to Antonio Trande from comment #10)
> >As a consequence all the GPLv2+ files in the doc were raised in 1.1.1 to >GPLv3+. So do you think we can release the non fr DOC under GPLV3+ with the >1.1.0 package?
> 
> Okay so; leave a comment to your
> https://bugzilla.redhat.com/show_bug.cgi?id=1083941#c7

I always refer to the SPEC file when I say "leave a comment ...". :D
Comment 13 Han Frederic 2014-04-12 17:30:43 EDT
:D

Dear antonio,
I have updated the spec and SRPM.
Spec URL: http://www.math.jussieu.fr/~han/fedora/SPECS/giac.spec
SRPM URL: http://www.math.jussieu.fr/~han/fedora/SRPMS/giac-1.1.0-1.fc20.src.rpm
rpmlint output: http://www.math.jussieu.fr/~han/fedora/rpmlint-giac.txt


1. Due to the confusion, I have removed the README patch and package the original 1.1.0 README unchanged, so rpmlint will detect a bad FSF address, but I add a README.fedora to explain.

2. I put all the files of /usr/doc/giac in the doc package except the LICENSE file.

3. I have renamed the giac-gui package to giac-xcas because many xcas users doesn't know the name giac. But if you don't like this you can change it back.

4. add a check patch

(and some other changes, cf changelog)

5. about the make dvi, I found equivalent pdf files and I asked parisse who confirmed that it was an obsolote instruction and removed it from the 1.1.1 INSTALL.

Best 
Frederic
Comment 14 Antonio Trande 2014-04-13 14:03:16 EDT
I can't sponsor you; this is an early review.
Your sponsor is the one who can approve your first package. ;)
Please, read http://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group. 


1. ------------------------------------------------ 
giac-1.1.0/src/Fl_GDI_Printer.cxx
giac-1.1.0/src/Flv_List.cc
giac-1.1.0/src/Flv_Table.cc

These files are involved in the compilation and are released with 
LGPLv2+ license. (http://fedoraproject.org/wiki/Packaging:LicensingGuidelines#Mixed_Source_Licensing_Scenario)

Fix License tag:  *License: GPLv3+ and LGPLv2+*

Also, following documentation files are still GPLv2+

>GPL (v2 or later) (with incorrect FSF address)
>----------------------------------------------
>giac-1.1.0/doc/de/texinfo.tex
>giac-1.1.0/doc/en/texinfo.tex
>giac-1.1.0/doc/es/texinfo.tex
>giac-1.1.0/doc/local/texinfo.tex
>giac-1.1.0/doc/pt/texinfo.tex
>giac-1.1.0/doc/zh/texinfo.tex

2. ------------------------------------------------
Package must own all directories that it creates. 
Reading the Package Review log below:

/usr/share/giac and its sub-directories
 
are owned by giac exclusively.

Instead,

/usr/share/icons/hicolor/16x16/mimetypes,
/usr/share/icons/hicolor/32x32/apps,
/usr/share/mime,
/usr/share/icons/hicolor/16x16/apps,
/usr/share/icons/hicolor/64x64,
/usr/share/icons/hicolor/128x128/apps,
/usr/share/icons/hicolor/128x128/mimetypes,
/usr/share/icons/hicolor/256x256/apps,
/usr/share/icons/hicolor/64x64/mimetypes, 
/usr/share/icons/hicolor/16x16,
/usr/share/icons/hicolor, 
/usr/share/mime/packages,
/usr/share/icons/hicolor/128x128,
/usr/share/icons/hicolor/32x32,
/usr/share/icons/hicolor/256x256/mimetypes,
/usr/share/icons/hicolor/64x64/apps,
/usr/share/icons/hicolor/32x32/mimetypes,
/usr/share/icons/hicolor/256x256
 
contain some icon giac files and are co-owned with other packages.
Mark them with %dir .

For information, see http://fedoraproject.org/wiki/Packaging:Guidelines#File_and_Directory_Ownership
and http://fedoraproject.org/wiki/Packaging:UnownedDirectories

3. ----------------------------------------------------
Package must not contain bundled libraries without FPC exception.
See http://fedoraproject.org/wiki/Packaging:Treatment_Of_Bundled_Libraries
and http://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries

giac-1.1.0/intl directory contains files already packaged in Fedora (gettext-devel BR is necessary);
they *must* be removed in %prep section.
Read ABOUT-NLS file; the usage of options "--with-included-gettext=no --enable-nls" is recommended.

4. ----------------------------------------------------

giac.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libgiac.so.0.0.0 /lib64/libgslcblas.so.0
giac.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libgiac.so.0.0.0 /lib64/libgfortran.so.3

To fix these warnings, please read 
https://fedoraproject.org/wiki/Common_Rpmlint_issues#unused-direct-shlib-dependency 

5. ------------------------------------------------------
Minor issues.

'script-without-shebang' errors on .xws files are related to its executable permissions.
Make them no-executable.

'file-not-utf8' warnings are related to character encoding. To fix
https://fedoraproject.org/wiki/Packaging_tricks?rd=PackageMaintainers/Packaging_Tricks#Convert_encoding_to_UTF-8

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- gtk-update-icon-cache is invoked in %postun and %posttrans if package
  contains icons.
  Note: icons in giac-xcas
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache
- If (and only if) the source package includes the text of the license(s) in
  its own file, then that file, containing the text of the license(s) for the
  package is included in %doc.
  Note: Cannot find tinymt32_license.h in rpm(s)
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text
- update-desktop-database is invoked in %post and %postun if package contains
  desktop file(s) with a MimeType: entry.
  Note: desktop file(s) with MimeType entry in giac-xcas
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#desktop-
  database


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (v2 or later)", "GPL (v2 or later)", "GPL (v3 or later)", "Unknown
     or generated", "LGPL (v2 or later) (with incorrect FSF address)", "BSD (3
     clause)", "GPL (v2 or later) (with incorrect FSF address)", "GPL (with
     incorrect FSF address)". 187 files have unknown license. Detailed output
     of licensecheck in /home/sagitter/1083941-giac/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[!]: Package must own all directories that it creates.
     Note: Directories without known owners:
     /usr/share/icons/hicolor/16x16/mimetypes, /usr/share/giac/doc/de,
     /usr/share/icons/hicolor/32x32/apps, /usr/share/mime,
     /usr/share/icons/hicolor/16x16/apps, /usr/share/icons/hicolor/64x64,
     /usr/share/icons/hicolor/128x128/apps, /usr/share/giac,
     /usr/share/icons/hicolor/128x128/mimetypes, /usr/share/doc/giac,
     /usr/share/giac/doc/pt, /usr/share/giac/doc/fr,
     /usr/share/icons/hicolor/256x256/apps,
     /usr/share/icons/hicolor/64x64/mimetypes, /usr/share/icons/hicolor/16x16,
     /usr/share/icons/hicolor, /usr/share/mime/packages,
     /usr/share/giac/doc/el, /usr/share/giac/doc/en, /usr/share/giac/doc/es,
     /usr/share/icons/hicolor/128x128, /usr/share/giac/doc/zh,
     /usr/share/icons/hicolor/32x32,
     /usr/share/icons/hicolor/256x256/mimetypes, /usr/share/giac/doc,
     /usr/share/icons/hicolor/64x64/apps,
     /usr/share/icons/hicolor/32x32/mimetypes,
     /usr/share/icons/hicolor/256x256
[x]: %build honors applicable compiler flags or justifies otherwise.
[!]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Texinfo files are installed using install-info in %post and %preun if
     package has .info files.
     Note: Texinfo .info file(s) in giac
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or desktop-
     file-validate if there is such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Perl:
[?]: Package contains the mandatory BuildRequires and Requires:.
     Note: Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo
     $version)) missing?

===== SHOULD items =====

Generic:
[x]: update-mime-database is invoked in %post and %postun if package stores
     mime configuration in /usr/share/mime/packages.
     Note: mimeinfo files in: giac-xcas
     See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#mimeinfo
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Arch-ed rpms have a total of 1556480 bytes in /usr/share
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: giac-1.1.0-1.fc21.x86_64.rpm
          giac-devel-1.1.0-1.fc21.x86_64.rpm
          giac-doc-1.1.0-1.fc21.noarch.rpm
          giac-xcas-1.1.0-1.fc21.x86_64.rpm
          giac-1.1.0-1.fc21.src.rpm
giac.x86_64: W: spelling-error %description -l en_US numerics -> numeric, numeric s
giac.x86_64: W: spelling-error %description -l en_US bigfloats -> big floats, big-floats, flatboats
giac.x86_64: W: spelling-error %description -l en_US groebner -> grounder
giac.x86_64: W: spelling-error %description -l en_US xcas -> casts
giac.x86_64: W: shared-lib-calls-exit /usr/lib64/libgiac.so.0.0.0 exit@GLIBC_2.2.5
giac.x86_64: W: file-not-utf8 /usr/share/info/giac_es.info.gz
giac-devel.x86_64: W: spelling-error Summary(en_US) libgiac -> elegiac
giac-devel.x86_64: W: spelling-error %description -l en_US libgiac -> elegiac
giac-devel.x86_64: W: no-documentation
giac-doc.noarch: W: spelling-error Summary(en_US) Detailled -> Detailed, Detail led, Detail-led
giac-doc.noarch: W: spelling-error Summary(en_US) html -> HTML, ht ml, ht-ml
giac-doc.noarch: W: spelling-error %description -l en_US detailled -> detailed, detail led, detail-led
giac-doc.noarch: W: spelling-error %description -l en_US html -> HTML, ht ml, ht-ml
giac-doc.noarch: W: spelling-error %description -l en_US xcas -> casts
giac-doc.noarch: W: devel-file-in-non-devel-package /usr/share/giac/examples/tortue/dragon.cxx
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/capes2006/0707.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/crypto/reed_s.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/geometrie/morley_puzzle.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/geo3d/cone.xws
giac-doc.noarch: W: devel-file-in-non-devel-package /usr/share/giac/examples/tortue/sapin.cxx
giac-doc.noarch: E: non-executable-script /usr/share/giac/doc/pari/gphtml 0644L /usr/bin/perl
giac-doc.noarch: E: script-without-shebang /usr/share/giac/examples/lewisw/fermat_gcd_mod_1var
giac-doc.noarch: E: script-without-shebang /usr/share/giac/examples/Exemples/demo/milieux.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/capes2006/0307.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/proba/moivre_laplace.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/geometrie/astroide.xws
giac-doc.noarch: W: devel-file-in-non-devel-package /usr/share/giac/examples/geo/simpson.cxx
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/el/html_mall
giac-doc.noarch: W: devel-file-in-non-devel-package /usr/share/giac/examples/arit/rsa.cxx
giac-doc.noarch: W: devel-file-in-non-devel-package /usr/share/giac/examples/recur/polygone.cxx
giac-doc.noarch: W: devel-file-in-non-devel-package /usr/share/giac/examples/demo/bezout.cxx
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/arit/diviseur.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/climat/terre.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/prog/conformal.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/demo/milieux.xws
giac-doc.noarch: E: script-without-sshebang /usr/share/giac/examples/Exemples/prog/arbre.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/proba/moivre2.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/proba/attente.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/arit/pollard.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/climat/co2.xws
giac-doc.noarch: W: devel-file-in-non-devel-package /usr/share/giac/examples/demo/algos_integrale.cxx
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/proba/ehrenfest.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/proba/galton.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/geometrie/lieu_s05.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/arit/crible.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/analyse/euler_ode.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/demo/image.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/demo/oct06.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/geometrie/capes.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/analyse/lagrange_err.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/en/html_mtt
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/geometrie/simson.xws
giac-doc.noarch: W: devel-file-in-non-devel-package /usr/share/giac/examples/geo/bissectrice.cxx
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/poly/horner.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/fr/html_mtt
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/climat/energie.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/geometrie/intercourbe.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/poly/yun.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/poly/berle.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/capes2006/0207.xws
giac-doc.noarch: W: hidden-file-or-dir /usr/share/giac/examples/Exemples/demo/._graphe_proba.xws
giac-doc.noarch: W: devel-file-in-non-devel-package /usr/share/giac/examples/tortue/gosper.cxx
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/geometrie/morley_demo.xws
giac-doc.noarch: W: devel-file-in-non-devel-package /usr/share/giac/examples/geo/demomorley.cxx
giac-doc.noarch: W: devel-file-in-non-devel-package /usr/share/giac/examples/geo/carres.cxx
giac-doc.noarch: W: devel-file-in-non-devel-package /usr/share/giac/examples/geo/mediatrice.cxx
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/analyse/mult_lagr.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/opengl/sphere.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/geometrie/atelier.xws
giac-doc.noarch: W: devel-file-in-non-devel-package /usr/share/giac/examples/geo/feuerbach.cxx
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/climat/co2t150.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/demo/arit.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/prog/gauss_jordan.xws
giac-doc.noarch: W: devel-file-in-non-devel-package /usr/share/giac/examples/recur/autres.cxx
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/analyse/grad_const.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/el/html_vall
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/proba/fluctuation2.xws
giac-doc.noarch: W: devel-file-in-non-devel-package /usr/share/giac/examples/recur/peano.cxx
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/arit/premier.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/demo/anniversaire.xws
giac-doc.noarch: E: script-without-shebang /usr/share/giac/examples/Exemples/proba/fluctuation2.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/geo/geo2
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/arit/powmod.xws
giac-doc.noarch: W: devel-file-in-non-devel-package /usr/share/giac/examples/geo/minimum.cxx
giac-doc.noarch: E: script-without-shebang /usr/share/giac/examples/Exemples/geo3d/animcube.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/climat/insol.xws
giac-doc.noarch: W: devel-file-in-non-devel-package /usr/share/giac/examples/tortue/peano.cxx
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/geometrie/rouepoly.xws
giac-doc.noarch: W: devel-file-in-non-devel-package /usr/share/giac/examples/recur/plantes.cxx
giac-doc.noarch: W: devel-file-in-non-devel-package /usr/share/giac/examples/demo/napoleon.cxx
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/capes2006/0807.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/logo/jeu.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/proba/montecarlo.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/climat/vostok.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/capes2006/2107.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/poly/cardan.xws
giac-doc.noarch: E: script-without-shebang /usr/share/giac/examples/geo/orbite.cas
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/poly/hensel.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/logo/sapin.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/capes2006/3006.xws
giac-doc.noarch: W: devel-file-in-non-devel-package /usr/share/giac/examples/recur/carre.cxx
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/spects/spec_proie.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/arit/potence.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/analyse/pui.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/capes2006/2906.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/arit/estprem.xws
giac-doc.noarch: W: devel-file-in-non-devel-package /usr/share/giac/examples/recur/dragon.cxx
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/proba/fluctuations.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/analyse/newton.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/demo/dijkstra.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/proba/confiance.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/logo/fleur.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac-doc/README
giac-doc.noarch: E: incorrect-fsf-address /usr/share/doc/giac-doc/README
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/demo/napoleon.xws
giac-doc.noarch: W: devel-file-in-non-devel-package /usr/share/giac/examples/recur/triangle.cxx
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/analyse/series_alt.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/geo3d/animcube.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/proba/vectgauss.xws
giac-doc.noarch: W: devel-file-in-non-devel-package /usr/share/giac/examples/geo/orthocentre.cxx
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/poly/pgcd.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/fr/html_mall
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/climat/edc.xws
giac-doc.noarch: W: devel-file-in-non-devel-package /usr/share/giac/examples/geo/napoleon.cxx
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/analyse/gradconj.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/poly/racine.xws
giac-doc.noarch: E: script-without-shebang /usr/share/giac/examples/Exemples/demo/milieu.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/capes2006/1707.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/arit/multpoly.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/opengl/surface.xws
giac-doc.noarch: W: devel-file-in-non-devel-package /usr/share/giac/examples/demo/orthocentre.cxx
giac-doc.noarch: E: script-without-shebang /usr/share/giac/examples/Exemples/analyse/toile.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/logo/poule.xws
giac-doc.noarch: E: script-without-shebang /usr/share/giac/examples/lewisw/fermat_gcd_1var
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/geometrie/animpav.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/capes2006/1407.xws
giac-doc.noarch: W: devel-file-in-non-devel-package /usr/share/giac/examples/recur/sphynx.cxx
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/geo3d/circon3d.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/demo/apmep.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/crypto/codelin.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/proba/kolmogorov.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/demo/polylogo.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/geometrie/napoleon.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/proba/rejet.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/arit/multfft.xws
giac-doc.noarch: E: script-without-shebang /usr/share/giac/examples/Exemples/analyse/newton.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/crypto/cesar.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/logo/tulipe.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/crypto/rsa.xws
giac-doc.noarch: W: devel-file-in-non-devel-package /usr/share/giac/examples/demo/pgcd.cpp
giac-doc.noarch: E: script-without-shebang /usr/share/giac/examples/Exemples/proba/fluctuations.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/analyse/ode.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/poly/reed_sol.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/demo/graphe_proba.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/el/html_mtt
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/logo/neige.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/proba/gaussienne.xws
giac-doc.noarch: W: devel-file-in-non-devel-package /usr/share/giac/examples/tortue/arbre.cxx
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/arit/prime.xws
giac-doc.noarch: W: devel-file-in-non-devel-package /usr/share/giac/examples/geo/mediane.cxx
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/arit/bezout.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/climat/soleil.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/prog/exemple.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/fr/html_vall
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/proba/poisson.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/en/html_vall
giac-doc.noarch: W: devel-file-in-non-devel-package /usr/share/giac/examples/recur/flocon.cxx
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/capes2006/2007.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/spects/pagerank.xws
giac-doc.noarch: E: script-without-shebang /usr/share/giac/examples/geo/terre.cas
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/crypto/codage.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/en/html_mall
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/arit/makegf.xws
giac-doc.noarch: W: devel-file-in-non-devel-package /usr/share/giac/examples/recur/permutation.cxx
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/prog/arbre.xws
giac-doc.noarch: W: devel-file-in-non-devel-package /usr/share/giac/examples/tortue/hilbert.cxx
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/analyse/toile.xws
giac-doc.noarch: W: devel-file-in-non-devel-package /usr/share/giac/examples/demo/bissectrice.cxx
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/spects/tpi.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/demo/calcform.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/geometrie/hexagone.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/demo/milieu.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/demo/e05.tex
giac-doc.noarch: E: script-without-shebang /usr/share/giac/examples/Exemples/geometrie/animpav.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/climat/glace.xws
giac-doc.noarch: W: devel-file-in-non-devel-package /usr/share/giac/examples/tortue/koch.cxx
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/climat/global_temp.xws
giac-doc.noarch: W: devel-file-in-non-devel-package /usr/share/giac/examples/recur/sphinx.cxx
giac-doc.noarch: W: devel-file-in-non-devel-package /usr/share/giac/examples/demo/mediane.cxx
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/arit/codage.cas
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/climat/neige.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/capes2006/0107.xws
giac-xcas.x86_64: W: spelling-error %description -l en_US programing -> programming, monogramming, program
giac-xcas.x86_64: W: spelling-error %description -l en_US html -> HTML, ht ml, ht-ml
giac.src: W: spelling-error %description -l en_US numerics -> numeric, numeric s
giac.src: W: spelling-error %description -l en_US bigfloats -> big floats, big-floats, flatboats
giac.src: W: spelling-error %description -l en_US groebner -> grounder
giac.src: W: spelling-error %description -l en_US icas -> ices, Icarus
giac.src: W: spelling-error %description -l en_US xcas -> casts
5 packages and 0 specfiles checked; 15 errors, 184 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint giac giac-devel giac-doc giac-xcas
giac.x86_64: W: spelling-error %description -l en_US numerics -> numeric, numeric s
giac.x86_64: W: spelling-error %description -l en_US bigfloats -> big floats, big-floats, flatboats
giac.x86_64: W: spelling-error %description -l en_US groebner -> grounder
giac.x86_64: W: spelling-error %description -l en_US xcas -> casts
giac.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libgiac.so.0.0.0 /lib64/libgslcblas.so.0
giac.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libgiac.so.0.0.0 /lib64/libgfortran.so.3
giac.x86_64: W: shared-lib-calls-exit /usr/lib64/libgiac.so.0.0.0 exit@GLIBC_2.2.5
giac.x86_64: W: file-not-utf8 /usr/share/info/giac_es.info.gz
giac-devel.x86_64: W: spelling-error Summary(en_US) libgiac -> elegiac
giac-devel.x86_64: W: spelling-error %description -l en_US libgiac -> elegiac
giac-devel.x86_64: W: no-documentation
giac-doc.noarch: W: spelling-error Summary(en_US) Detailled -> Detailed, Detail led, Detail-led
giac-doc.noarch: W: spelling-error Summary(en_US) html -> HTML, ht ml, ht-ml
giac-doc.noarch: W: spelling-error %description -l en_US detailled -> detailed, detail led, detail-led
giac-doc.noarch: W: spelling-error %description -l en_US html -> HTML, ht ml, ht-ml
giac-doc.noarch: W: spelling-error %description -l en_US xcas -> casts
giac-doc.noarch: W: devel-file-in-non-devel-package /usr/share/giac/examples/tortue/dragon.cxx
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/capes2006/0707.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/crypto/reed_s.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/geometrie/morley_puzzle.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/geo3d/cone.xws
giac-doc.noarch: W: devel-file-in-non-devel-package /usr/share/giac/examples/tortue/sapin.cxx
giac-doc.noarch: E: non-executable-script /usr/share/giac/doc/pari/gphtml 0644L /usr/bin/perl
giac-doc.noarch: E: script-without-shebang /usr/share/giac/examples/lewisw/fermat_gcd_mod_1var
giac-doc.noarch: E: script-without-shebang /usr/share/giac/examples/Exemples/demo/milieux.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/capes2006/0307.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/proba/moivre_laplace.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/geometrie/astroide.xws
giac-doc.noarch: W: devel-file-in-non-devel-package /usr/share/giac/examples/geo/simpson.cxx
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/el/html_mall
giac-doc.noarch: W: devel-file-in-non-devel-package /usr/share/giac/examples/arit/rsa.cxx
giac-doc.noarch: W: devel-file-in-non-devel-package /usr/share/giac/examples/recur/polygone.cxx
giac-doc.noarch: W: devel-file-in-non-devel-package /usr/share/giac/examples/demo/bezout.cxx
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/arit/diviseur.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/climat/terre.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/prog/conformal.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/demo/milieux.xws
giac-doc.noarch: E: script-without-shebang /usr/share/giac/examples/Exemples/prog/arbre.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/proba/moivre2.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/proba/attente.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/arit/pollard.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/climat/co2.xws
giac-doc.noarch: W: devel-file-in-non-devel-package /usr/share/giac/examples/demo/algos_integrale.cxx
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/proba/ehrenfest.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/proba/galton.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/geometrie/lieu_s05.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/arit/crible.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/analyse/euler_ode.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/demo/image.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/demo/oct06.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/geometrie/capes.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/analyse/lagrange_err.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/en/html_mtt
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/geometrie/simson.xws
giac-doc.noarch: W: devel-file-in-non-devel-package /usr/share/giac/examples/geo/bissectrice.cxx
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/poly/horner.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/fr/html_mtt
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/climat/energie.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/geometrie/intercourbe.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/poly/yun.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/poly/berle.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/capes2006/0207.xws
giac-doc.noarch: W: hidden-file-or-dir /usr/share/giac/examples/Exemples/demo/._graphe_proba.xws
giac-doc.noarch: W: devel-file-in-non-devel-package /usr/share/giac/examples/tortue/gosper.cxx
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/geometrie/morley_demo.xws
giac-doc.noarch: W: devel-file-in-non-devel-package /usr/share/giac/examples/geo/demomorley.cxx
giac-doc.noarch: W: devel-file-in-non-devel-package /usr/share/giac/examples/geo/carres.cxx
giac-doc.noarch: W: devel-file-in-non-devel-package /usr/share/giac/examples/geo/mediatrice.cxx
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/analyse/mult_lagr.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/opengl/sphere.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/geometrie/atelier.xws
giac-doc.noarch: W: devel-file-in-non-devel-package /usr/share/giac/examples/geo/feuerbach.cxx
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/climat/co2t150.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/demo/arit.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/prog/gauss_jordan.xws
giac-doc.noarch: W: devel-file-in-non-devel-package /usr/share/giac/examples/recur/autres.cxx
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/analyse/grad_const.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/el/html_vall
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/proba/fluctuation2.xws
giac-doc.noarch: W: devel-file-in-non-devel-package /usr/share/giac/examples/recur/peano.cxx
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/arit/premier.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/demo/anniversaire.xws
giac-doc.noarch: E: script-without-shebang /usr/share/giac/examples/Exemples/proba/fluctuation2.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/geo/geo2
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/arit/powmod.xws
giac-doc.noarch: W: devel-file-in-non-devel-package /usr/share/giac/examples/geo/minimum.cxx
giac-doc.noarch: E: script-without-shebang /usr/share/giac/examples/Exemples/geo3d/animcube.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/climat/insol.xws
giac-doc.noarch: W: devel-file-in-non-devel-package /usr/share/giac/examples/tortue/peano.cxx
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/geometrie/rouepoly.xws
giac-doc.noarch: W: devel-file-in-non-devel-package /usr/share/giac/examples/recur/plantes.cxx
giac-doc.noarch: W: devel-file-in-non-devel-package /usr/share/giac/examples/demo/napoleon.cxx
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/capes2006/0807.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/logo/jeu.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/proba/montecarlo.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/climat/vostok.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/capes2006/2107.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/poly/cardan.xws
giac-doc.noarch: E: script-without-shebang /usr/share/giac/examples/geo/orbite.cas
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/poly/hensel.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/logo/sapin.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/capes2006/3006.xws
giac-doc.noarch: W: devel-file-in-non-devel-package /usr/share/giac/examples/recur/carre.cxx
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/spects/spec_proie.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/arit/potence.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/analyse/pui.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/capes2006/2906.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/arit/estprem.xws
giac-doc.noarch: W: devel-file-in-non-devel-package /usr/share/giac/examples/recur/dragon.cxx
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/proba/fluctuations.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/analyse/newton.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/demo/dijkstra.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/proba/confiance.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/logo/fleur.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac-doc/README
giac-doc.noarch: E: incorrect-fsf-address /usr/share/doc/giac-doc/README
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/demo/napoleon.xws
giac-doc.noarch: W: devel-file-in-non-devel-package /usr/share/giac/examples/recur/triangle.cxx
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/analyse/series_alt.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/geo3d/animcube.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/proba/vectgauss.xws
giac-doc.noarch: W: devel-file-in-non-devel-package /usr/share/giac/examples/geo/orthocentre.cxx
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/poly/pgcd.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/fr/html_mall
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/climat/edc.xws
giac-doc.noarch: W: devel-file-in-non-devel-package /usr/share/giac/examples/geo/napoleon.cxx
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/analyse/gradconj.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/poly/racine.xws
giac-doc.noarch: E: script-without-shebang /usr/share/giac/examples/Exemples/demo/milieu.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/capes2006/1707.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/arit/multpoly.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/opengl/surface.xws
giac-doc.noarch: W: devel-file-in-non-devel-package /usr/share/giac/examples/demo/orthocentre.cxx
giac-doc.noarch: E: script-without-shebang /usr/share/giac/examples/Exemples/analyse/toile.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/logo/poule.xws
giac-doc.noarch: E: script-without-shebang /usr/share/giac/examples/lewisw/fermat_gcd_1var
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/geometrie/animpav.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/capes2006/1407.xws
giac-doc.noarch: W: devel-file-in-non-devel-package /usr/share/giac/examples/recur/sphynx.cxx
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/geo3d/circon3d.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/demo/apmep.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/crypto/codelin.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/proba/kolmogorov.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/demo/polylogo.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/geometrie/napoleon.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/proba/rejet.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/arit/multfft.xws
giac-doc.noarch: E: script-without-shebang /usr/share/giac/examples/Exemples/analyse/newton.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/crypto/cesar.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/logo/tulipe.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/crypto/rsa.xws
giac-doc.noarch: W: devel-file-in-non-devel-package /usr/share/giac/examples/demo/pgcd.cpp
giac-doc.noarch: E: script-without-shebang /usr/share/giac/examples/Exemples/proba/fluctuations.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/analyse/ode.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/poly/reed_sol.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/demo/graphe_proba.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/el/html_mtt
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/logo/neige.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/proba/gaussienne.xws
giac-doc.noarch: W: devel-file-in-non-devel-package /usr/share/giac/examples/tortue/arbre.cxx
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/arit/prime.xws
giac-doc.noarch: W: devel-file-in-non-devel-package /usr/share/giac/examples/geo/mediane.cxx
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/arit/bezout.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/climat/soleil.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/prog/exemple.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/fr/html_vall
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/proba/poisson.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/en/html_vall
giac-doc.noarch: W: devel-file-in-non-devel-package /usr/share/giac/examples/recur/flocon.cxx
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/capes2006/2007.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/spects/pagerank.xws
giac-doc.noarch: E: script-without-shebang /usr/share/giac/examples/geo/terre.cas
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/crypto/codage.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/en/html_mall
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/arit/makegf.xws
giac-doc.noarch: W: devel-file-in-non-devel-package /usr/share/giac/examples/recur/permutation.cxx
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/prog/arbre.xws
giac-doc.noarch: W: devel-file-in-non-devel-package /usr/share/giac/examples/tortue/hilbert.cxx
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/analyse/toile.xws
giac-doc.noarch: W: devel-file-in-non-devel-package /usr/share/giac/examples/demo/bissectrice.cxx
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/spects/tpi.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/demo/calcform.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/geometrie/hexagone.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/demo/milieu.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/demo/e05.tex
giac-doc.noarch: E: script-without-shebang /usr/share/giac/examples/Exemples/geometrie/animpav.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/climat/glace.xws
giac-doc.noarch: W: devel-file-in-non-devel-package /usr/share/giac/examples/tortue/koch.cxx
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/climat/global_temp.xws
giac-doc.noarch: W: devel-file-in-non-devel-package /usr/share/giac/examples/recur/sphinx.cxx
giac-doc.noarch: W: devel-file-in-non-devel-package /usr/share/giac/examples/demo/mediane.cxx
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/arit/codage.cas
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/climat/neige.xws
giac-doc.noarch: W: file-not-utf8 /usr/share/doc/giac/Exemples/capes2006/0107.xws
giac-xcas.x86_64: W: spelling-error %description -l en_US programing -> programming, monogramming, program
giac-xcas.x86_64: W: spelling-error %description -l en_US html -> HTML, ht ml, ht-ml
4 packages and 0 specfiles checked; 15 errors, 181 warnings.
# echo 'rpmlint-done:'



Requires
--------
giac (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/perl
    libGL.so.1()(64bit)
    libXext.so.6()(64bit)
    libXft.so.2()(64bit)
    libblas.so.3()(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libfltk.so.1.3()(64bit)
    libfltk_gl.so.1.3()(64bit)
    libfltk_images.so.1.3()(64bit)
    libfontconfig.so.1()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_4.0.0)(64bit)
    libgfortran.so.3()(64bit)
    libgiac.so.0()(64bit)
    libgmp.so.10()(64bit)
    libgsl.so.0()(64bit)
    libgslcblas.so.0()(64bit)
    libjpeg.so.62()(64bit)
    liblapack.so.3()(64bit)
    libm.so.6()(64bit)
    libmpfr.so.4()(64bit)
    libncurses.so.5()(64bit)
    libntl.so.3()(64bit)
    libpari-gmp.so.3()(64bit)
    libpng16.so.16()(64bit)
    libpng16.so.16(PNG16_0)(64bit)
    libpthread.so.0()(64bit)
    libreadline.so.6()(64bit)
    librt.so.1()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.1)(64bit)
    libtinfo.so.5()(64bit)
    libz.so.1()(64bit)
    perl(Fcntl)
    perl(File::Basename)
    perl(Getopt::Std)
    perl(POSIX)
    rtld(GNU_HASH)

giac-devel (rpmlib, GLIBC filtered):
    giac(x86-64)
    libgiac.so.0()(64bit)

giac-doc (rpmlib, GLIBC filtered):
    giac(x86-64)

giac-xcas (rpmlib, GLIBC filtered):
    giac(x86-64)
    libGL.so.1()(64bit)
    libXext.so.6()(64bit)
    libXft.so.2()(64bit)
    libblas.so.3()(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libfltk.so.1.3()(64bit)
    libfltk_gl.so.1.3()(64bit)
    libfltk_images.so.1.3()(64bit)
    libfontconfig.so.1()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_4.0.0)(64bit)
    libgfortran.so.3()(64bit)
    libgiac.so.0()(64bit)
    libgmp.so.10()(64bit)
    libgsl.so.0()(64bit)
    libgslcblas.so.0()(64bit)
    libjpeg.so.62()(64bit)
    liblapack.so.3()(64bit)
    libm.so.6()(64bit)
    libmpfr.so.4()(64bit)
    libntl.so.3()(64bit)
    libpari-gmp.so.3()(64bit)
    libpng16.so.16()(64bit)
    libpng16.so.16(PNG16_0)(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)



Provides
--------
giac:
    giac
    giac(x86-64)
    libgiac.so.0()(64bit)

giac-devel:
    giac-devel
    giac-devel(x86-64)

giac-doc:
    giac-doc

giac-xcas:
    application()
    application(xcas.desktop)
    giac-xcas
    giac-xcas(x86-64)
    mimehandler(application/x-xcas)



Source checksums
----------------
http://www-fourier.ujf-grenoble.fr/~parisse/giac/giac-1.1.0.tar.gz :
  CHECKSUM(SHA256) this package     : 2464613ff477a6f7c53dc5dfba6015bf2320ce634742a2aa4aeb8c7196eae6ef
  CHECKSUM(SHA256) upstream package : 2464613ff477a6f7c53dc5dfba6015bf2320ce634742a2aa4aeb8c7196eae6ef


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1083941
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++, Perl
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
Comment 15 Han Frederic 2014-04-15 05:27:52 EDT
OK,
I have changed  the spec only and regenerate the srpm:
http://www.math.jussieu.fr/~han/fedora/1083941/comment15/giac.spec
http://www.math.jussieu.fr/~han/fedora/1083941/comment15/giac-1.1.0-1.fc20.src.rpm
http://www.math.jussieu.fr/~han/fedora/1083941/comment15/rpmlint.txt

For 1. I have change the License tag and deleted the texinfo.tex and use the texinfo package to rebuild the giac_*.info + utf8 conversion

For 2. I have added those %dir but I wonder why not those 2:
(I have tried with and without them and I didn't see complains in both cases.
(neither system-dir nor shared warning)
#%dir %{_datadir}/applications
#%dir %{_datadir}/pixmaps

Where can I find the list of system-dir that must not be included. 
(Ex: it is not clear for me why /usr/share/icons gave me the system-dir error and not /usr/share/applications)

Did 3. but need to modify configure/makefiles and regenerate
Did 4.

About 5. I removed the extra +x, and add a warning about the .xws Indeed, they are not text files, they are saved examples from xcas and any uft8 conversion will give a mess. Is there some way to mark them as non text files to avoid those warning?
All the best.
Comment 16 Antonio Trande 2014-04-15 10:38:03 EDT
(In reply to Han Frederic from comment #15)
> For 2. I have added those %dir but I wonder why not those 2:
> (I have tried with and without them and I didn't see complains in both cases.
> (neither system-dir nor shared warning)
> #%dir %{_datadir}/applications
> #%dir %{_datadir}/pixmaps

%{_datadir}/applications and %{_datadir}/pixmaps are owned by a main system package (filesystem). Your package doesn't need to own them.

Verify with command:

 yum provides /usr/share/pixmaps /usr/share/applications  

> 
> Where can I find the list of system-dir that must not be included. 
> (Ex: it is not clear for me why /usr/share/icons gave me the system-dir
> error and not /usr/share/applications)

/usr/share/icons is not in the review log (comment#14) and should not be owned by your package. 
Not even /usr/share/mime and /usr/share/mime/packages.
Sorry, I had not noted the latter ones.

> 
> Did 3. but need to modify configure/makefiles and regenerate

Should not be so. ABOUT-NLS file says:

>By default, this package will be installed to allow translation of
>messages.  It will automatically detect whether the system already
>provides the GNU `gettext' functions.  If not, the included GNU
>`gettext' library will be used.  This library is wholly contained
>within this package, usually in the `intl/' subdirectory, so prior
>installation of the GNU `gettext' package is _not_ required.

Therefore, you just need:

%prep
...
rm -rf intl/*.h
rm -rf intl/*.c

%build
%configure --enable-static=0 --with-included-gettext=no --enable-nls
...

> 
> About 5. I removed the extra +x, and add a warning about the .xws Indeed,
> they are not text files, they are saved examples from xcas and any uft8
> conversion will give a mess. Is there some way to mark them as non text
> files to avoid those warning?
> All the best.

I think we can just ignore all file-not-utf8 warnings ;)
Comment 17 Han Frederic 2014-04-15 13:22:05 EDT
> %{_datadir}/applications and %{_datadir}/pixmaps are owned by a main system
> package (filesystem). Your package doesn't need to own them.
> 
> Verify with command:
> 
>  yum provides /usr/share/pixmaps /usr/share/applications  
good, so the answer is dir of the package filesystem must not be owned by our package

> /usr/share/icons is not in the review log (comment#14) and should not be
> owned by your package. 
Yes it was an example for my question
> Not even /usr/share/mime and /usr/share/mime/packages.
> Sorry, I had not noted the latter ones.

Sorry I am lost, do I missunderstand the comma presentation?

/usr/share/mime and /usr/share/mime/packages look to be in your review of
 
[!]: Package must own all directories that it creates.
     Note: Directories without known owners:
     /usr/share/icons/hicolor/16x16/mimetypes, /usr/share/giac/doc/de,
     /usr/share/icons/hicolor/32x32/apps, /usr/share/mime,  <<<===here?===
....
     /usr/share/icons/hicolor/64x64/mimetypes, /usr/share/icons/hicolor/16x16,
     /usr/share/icons/hicolor, /usr/share/mime/packages,   <<<===here?===
....
but they belong to: shared-mime-info-1.2-2.fc21.x86_64 so was I right to package those dir?
      

> > About 5. I removed the extra +x, and add a warning about the .xws Indeed,
> > they are not text files, they are saved examples from xcas and any uft8
> > conversion will give a mess. Is there some way to mark them as non text
> > files to avoid those warning?
> > All the best.
> 
> I think we can just ignore all file-not-utf8 warnings ;)

Good!
Comment 18 Antonio Trande 2014-04-15 13:40:41 EDT
(In reply to Han Frederic from comment #17)
> 
> > /usr/share/icons is not in the review log (comment#14) and should not be
> > owned by your package. 
> Yes it was an example for my question
> > Not even /usr/share/mime and /usr/share/mime/packages.
> > Sorry, I had not noted the latter ones.
> 
> Sorry I am lost, do I missunderstand the comma presentation?
> 
> /usr/share/mime and /usr/share/mime/packages look to be in your review of
>  
> [!]: Package must own all directories that it creates.
>      Note: Directories without known owners:
>      /usr/share/icons/hicolor/16x16/mimetypes, /usr/share/giac/doc/de,
>      /usr/share/icons/hicolor/32x32/apps, /usr/share/mime,  <<<===here?===
> ....
>      /usr/share/icons/hicolor/64x64/mimetypes,
> /usr/share/icons/hicolor/16x16,
>      /usr/share/icons/hicolor, /usr/share/mime/packages,   <<<===here?===
> ....
> but they belong to: shared-mime-info-1.2-2.fc21.x86_64 so was I right to
> package those dir?
>  

mime/* dirs are listed because *manually* created probably.

Also, under '%files' section

%dir %{_datadir}/giac
%dir %{_datadir}/giac/doc
%dir %{_datadir}/giac/doc/de
%dir %{_datadir}/giac/doc/el
%dir %{_datadir}/giac/doc/en
%dir %{_datadir}/giac/doc/es
%dir %{_datadir}/giac/doc/fr
%dir %{_datadir}/giac/doc/pt
%dir %{_datadir}/giac/doc/zh
#    The following files are Required at runtime by icas AND xcas. 
#       (Ex: if LANG is fr, alea(5) should give an INT)
#       Moreover, without aide_cas the keywords files are not found in icas 
#       and xcas. Additionally xcas uses it for tab completions.
%{_datadir}/giac/doc/*/keywords
%{_datadir}/giac/aide_cas
%{_datadir}/giac/doc/aide_cas

may not be listed because already included under '%files doc' with

%{_datadir}/giac/     <-------

'giac-doc' will be installed always together with 'giac'; those files will be available in runtime however.
Comment 19 Han Frederic 2014-04-16 03:47:46 EDT
Thanks for your answer on mime, I will try to avoid the *manually*.

> Also, under '%files' section
> 
> %dir %{_datadir}/giac
> %dir %{_datadir}/giac/doc
> %dir %{_datadir}/giac/doc/de
> %dir %{_datadir}/giac/doc/el
> %dir %{_datadir}/giac/doc/en
> %dir %{_datadir}/giac/doc/es
> %dir %{_datadir}/giac/doc/fr
> %dir %{_datadir}/giac/doc/pt
> %dir %{_datadir}/giac/doc/zh
> #    The following files are Required at runtime by icas AND xcas. 
> #       (Ex: if LANG is fr, alea(5) should give an INT)
> #       Moreover, without aide_cas the keywords files are not found in icas 
> #       and xcas. Additionally xcas uses it for tab completions.
> %{_datadir}/giac/doc/*/keywords
> %{_datadir}/giac/aide_cas
> %{_datadir}/giac/doc/aide_cas
> 
> may not be listed because already included under '%files doc' with
> 
> %{_datadir}/giac/     <-------
> 
> 'giac-doc' will be installed always together with 'giac'; those files will
> be available in runtime however.
I understand why installing giac-doc implies installing giac,
but why isn't it possible for giac (and giac-xcas) packages to be installed without giac-doc? In that situation  if I remove the entries: 
%{_datadir}/giac/doc/*/keywords
%{_datadir}/giac/aide_cas
%{_datadir}/giac/doc/aide_cas
from giac %files
they won't be installed and icas won't run properly.(worse than just some doc not found)

Do you prefer that I try to build the giac-doc list of files and dir from some file built automatically in the spec, so that there are no shared files and dir between giac and giac-doc?
Comment 20 Antonio Trande 2014-04-16 09:52:55 EDT
(In reply to Han Frederic from comment #19)
> > Also, under '%files' section
> > 
> > %dir %{_datadir}/giac
> > %dir %{_datadir}/giac/doc
> > %dir %{_datadir}/giac/doc/de
> > %dir %{_datadir}/giac/doc/el
> > %dir %{_datadir}/giac/doc/en
> > %dir %{_datadir}/giac/doc/es
> > %dir %{_datadir}/giac/doc/fr
> > %dir %{_datadir}/giac/doc/pt
> > %dir %{_datadir}/giac/doc/zh
> > #    The following files are Required at runtime by icas AND xcas. 
> > #       (Ex: if LANG is fr, alea(5) should give an INT)
> > #       Moreover, without aide_cas the keywords files are not found in icas 
> > #       and xcas. Additionally xcas uses it for tab completions.
> > %{_datadir}/giac/doc/*/keywords
> > %{_datadir}/giac/aide_cas
> > %{_datadir}/giac/doc/aide_cas
> > 
> > may not be listed because already included under '%files doc' with
> > 
> > %{_datadir}/giac/     <-------
> > 
> > 'giac-doc' will be installed always together with 'giac'; those files will
> > be available in runtime however.
> I understand why installing giac-doc implies installing giac,
> but why isn't it possible for giac (and giac-xcas) packages to be installed
> without giac-doc? In that situation  if I remove the entries: 
> %{_datadir}/giac/doc/*/keywords
> %{_datadir}/giac/aide_cas
> %{_datadir}/giac/doc/aide_cas
> from giac %files
> they won't be installed and icas won't run properly.(worse than just some
> doc not found)

Ops! You're right. It's a my inattention.
It's possible of course.

Better if 'giac' owns %{_datadir}/giac/doc, %{_datadir}/giac/doc/* and all files it needs in runtime.
Any files else in %{_datadir}/giac/doc will be owned by 'giac-doc'.

In a few words, pay attention to don't list same files and/or directories more times under all %files section.
Comment 21 Han Frederic 2014-04-17 02:34:25 EDT
Ok, so 
1) I have used the -f for the file list.
2) for /usr/share/mime and /usr/share/mime/packages without owner:
    I have tried to install the file from the Makefile and the result was the same. So I don't shared their ownership as you asked (the fedora doc just say to not add shared-mime-info as an extra dep if not necessary ) let me know if I should change this.
http://www.math.jussieu.fr/~han/fedora/1083941/comment21/giac.spec
http://www.math.jussieu.fr/~han/fedora/1083941/comment21/giac-1.1.0-1.fc20.src.rpm
http://www.math.jussieu.fr/~han/fedora/1083941/comment21/rpmlint.txt
Comment 22 Michael Schwendt 2014-04-22 07:30:59 EDT
> %package doc
> Summary: Detailled html documentation for Giac/Xcas

Detailed
HTML

> Requires: %{name}%{?_isa} = %{version}-%{release}
> BuildArch: noarch

If it is "noarch", the dependency cannot be arch-specific. The noarch package will be copied into all repositories.

Further, plain documentation packages ought to be installable without having to install base package dependencies (i.e. the application and its dep-chain). Especially, if you can read the documentation with any external browser (e.g. PDF, HTML, …), separate documentation packages are a convenience for people who want to peruse/study them.


> %doc %{_docdir}/giac/LICENSE

Files below %_docdir are marked as %doc implicitly. See: rpm -E %__docdir_path

Currently, the package does not include the %_docdir/giac directory:

  https://fedoraproject.org/wiki/Packaging:Guidelines#File_and_Directory_Ownership
  https://fedoraproject.org/wiki/Packaging:UnownedDirectories


> %{_datadir}/giac/doc/*/keywords
> %{_datadir}/giac/aide_cas

More "unowned" directories here: /usr/share/giac, /usr/share/giac/doc, /usr/share/giac/doc/* also at least one dir


> %{_datadir}/icons/hicolor/128x128/apps/xcas.png

https://fedoraproject.org/wiki/Packaging:Guidelines#File_and_Directory_Ownership


> %files doc
> %doc README COPYING README.fedora
> %{_datadir}/giac/
> %{_docdir}/giac/

Oh, you've got the dependency chain backwards. The base package ought to include these dirs. Especially, since a line such as

  %{_datadir}/giac/

includes not just the directory but everything in it. That sounds wrong for the -doc subpackage.

Alternatively, if there are many subpackages and many base dirs to include, a packaging technique to apply is to create a -filesystem subpackage, which contains the common empty dirs.

Plus, plain %doc for local files and %_docdir/giac conflict with eachother. Decide on either %doc or %_docdir/giac:

  https://fedorahosted.org/fpc/ticket/338
  https://fedoraproject.org/wiki/Changes/UnversionedDocdirs

To sum up, as of Fedora 20, the %doc magic stores files in %_docdir/%name - also known as the new macro %_pkgdocdir. As a side-effect, it includes the directory and everything in it, regardless of which files you specify in the %doc lines.

For this particular package, that currently only means the two lines

  %doc README COPYING README.fedora
  %{_docdir}/giac/

include files more than once, since the former includes also the %_docdir/giac directory entry, and the latter includes it again plus everything in it (for Fedora 20 also the three files on the %doc line).
Comment 23 Han Frederic 2014-04-27 09:26:10 EDT
Thank you for your comments, and sorry for the delay I was off line last week.

. So I have allowed the doc package to be installable independently. To obtain this I took M. Schwendt idea of a filesystem package because some directories  contain doc files and also files needed at runtime.

. Some of  remarks in comment22 didn't look to match the version of giac.spec in the link of comment 21, sorry for the confusion, as discussions with A. Trande made this file moving a lot I got the (bad) idea to keep old files and add a new link for the newest version. The main difference with the version you considered is that I have used a file listing to build the doc list.

. From previous discussions I let the directories /usr/share/mime and /usr/share/mime/packages without owner and without the extra dep to shared-mime-info, but I don't find references to this case in the fedora doc. 

So now I will alway update the original link to the newest version.
best regards.
http://www.math.jussieu.fr/~han/fedora/1083941/comment23/giac.spec
http://www.math.jussieu.fr/~han/fedora/1083941/comment23/giac-1.1.0-1.fc20.src.rpm
http://www.math.jussieu.fr/~han/fedora/1083941/comment23/rpmlint.txt

F.Han
Comment 24 Han Frederic 2014-05-06 18:24:44 EDT
Add a scratch build link of the latest version:
https://koji.fedoraproject.org/koji/taskinfo?taskID=6820481
Comment 25 Jerry James 2014-06-13 17:21:49 EDT
There is currently a test failure when building in Rawhide, due to bug 1104802.
Comment 26 Han Frederic 2014-06-25 04:39:46 EDT
Thank you for this crash report. I can manage to avoid it by swiching to the legal pari syntax with:

sed -i 's/pari_ellpow(\[0,1,0,2,-15\]/pari_ellpow(pari_ellinit(\[0,1,0,2,-15\])/g' check/TP08*.cas


but before updating the giac.spec I will have a look at the 1.1.1 version of giac to see if it is time to switch to it. (It would clean the giac.spec a lot because many changes were accepted by upstream)
Comment 27 Han Frederic 2014-07-06 08:52:14 EDT
I have updated to giac 1.1.1 version (current stable) and cleanup the giac.spec accordingly. 
Also add a new dependency because of some new features in 1.1.1

http://www.math.jussieu.fr/~han/fedora/1083941/comment27/giac.spec
The scratch build on koji:
https://koji.fedoraproject.org/koji/taskinfo?taskID=7109745
Comment 28 Christopher Meng 2014-07-06 09:00:05 EDT
Thanks for package giac, I do need this package.
Comment 29 Christopher Meng 2014-07-06 09:02:06 EDT
%dir %{_datadir}/icons/hicolor 
%dir %{_datadir}/icons/hicolor/128x128
%dir %{_datadir}/icons/hicolor/128x128/apps
%dir %{_datadir}/icons/hicolor/128x128/mimetypes
%dir %{_datadir}/icons/hicolor/16x16
%dir %{_datadir}/icons/hicolor/16x16/apps
%dir %{_datadir}/icons/hicolor/16x16/mimetypes
%dir %{_datadir}/icons/hicolor/256x256
%dir %{_datadir}/icons/hicolor/256x256/apps
%dir %{_datadir}/icons/hicolor/256x256/mimetypes
%dir %{_datadir}/icons/hicolor/32x32
%dir %{_datadir}/icons/hicolor/32x32/apps
%dir %{_datadir}/icons/hicolor/32x32/mimetypes
%dir %{_datadir}/icons/hicolor/64x64
%dir %{_datadir}/icons/hicolor/64x64/apps
%dir %{_datadir}/icons/hicolor/64x64/mimetypes

You should add requires of "hicolor-icon-theme" instead of owning them.
Comment 30 Han Frederic 2014-07-06 10:01:57 EDT
Thank you,
so I have remove these lines.

http://www.math.jussieu.fr/~han/fedora/1083941/comment30/giac.spec

The 1.1.1 tests have been updated with the legal pari syntax so the pari crash

https://bugzilla.redhat.com/show_bug.cgi?id=1104802

won't appear anymore during the giac check.

NB: It is my first package and I still have many things to learn about Fedora, so if someone have the time to take the package feel free to take it.
Comment 31 Han Frederic 2014-07-09 10:36:17 EDT
Update to the latest 1.1.1 version of the upstream source.
This upstream 1.1.1 file should not change anymore, next modifications will be in 1.1.2. 
(cf: http://xcas.e.ujf-grenoble.fr/XCAS/viewtopic.php?f=8&t=1490&start=15)


The corresponding srpm is avaible here:

http://www.math.jussieu.fr/~han/fedora/1083941/giac-1.1.1-1.fc20.src.rpm 

or on this koji scratch build:

https://koji.fedoraproject.org/koji/taskinfo?taskID=7120387
Comment 32 Upstream Release Monitoring 2015-09-24 11:04:51 EDT
jgrulich's scratch build of kdevelop?#c8e2b9bc57f11e41f3dc6612cdbcc591078d9062 for f22-candidate and git://pkgs.fedoraproject.org/kdevelop?#c8e2b9bc57f11e41f3dc6612cdbcc591078d9062 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11212117
Comment 33 Antonio Trande 2016-04-30 13:58:28 EDT
Is this package still under review?
Comment 34 Han Frederic 2016-05-09 08:26:35 EDT
(In reply to Antonio Trande from comment #33)
> Is this package still under review?
I don't have news about a review process for this package. There was no activity for a long time and this 1.1.1 version is now old with respect to the current stable upstream source avaible in: 
http://www-fourier.ujf-grenoble.fr/~parisse/debian/dists/stable/main/source/
Comment 35 Antonio Trande 2016-05-09 12:18:59 EDT
You need a sponsor; do you still want become an official packager? If yes, please update your package, i can review again, but i can't sponsor you yet.
Comment 36 Han Frederic 2016-05-10 06:24:35 EDT
(In reply to Antonio Trande from comment #35)
> You need a sponsor; do you still want become an official packager? If yes,
> please update your package, i can review again, but i can't sponsor you yet.

Thank you for this proposition. I need to think if I still have time for this because we both worked alot on this 2 years ago. May be it would be better for the package if an official packager could take the job.
I will try to help with an updated version.
Comment 37 Antonio Trande 2016-05-10 14:07:45 EDT
(In reply to Han Frederic from comment #36)
> (In reply to Antonio Trande from comment #35)
> > You need a sponsor; do you still want become an official packager? If yes,
> > please update your package, i can review again, but i can't sponsor you yet.
> 
> Thank you for this proposition. I need to think if I still have time for
> this because we both worked alot on this 2 years ago. May be it would be
> better for the package if an official packager could take the job.
> I will try to help with an updated version.

I'm going to complete this packaging in this case.
Comment 38 Han Frederic 2016-05-11 04:30:59 EDT
Thank you! If it helps here is a current update.

http://webusers.imj-prg.fr/~frederic.han/fedora/SPECS/giac.spec

http://webusers.imj-prg.fr/~frederic.han/fedora/SRPMS/giac-1.2.2-1.fc22.src.rpm

The testsuite is very sentitive and needed a small patch. (I took the one I have done for the sage spkg)

I have done something with the upstream naming scheme (1.2.2-43) but you may find a better solution...
Comment 39 Antonio Trande 2016-05-13 14:20:00 EDT

*** This bug has been marked as a duplicate of bug 1335988 ***

Note You need to log in before you can comment on or make changes to this bug.